package dev.shadowsoffire.apotheosis.adventure;

package .tmp;

import dev.shadowsoffire.apotheosis.adventure.Adventure;
import dev.shadowsoffire.apotheosis.adventure.affix.augmenting.AugmentingTableBlock;
import dev.shadowsoffire.apotheosis.adventure.affix.reforging.ReforgingTableBlock;
import dev.shadowsoffire.apotheosis.adventure.affix.salvaging.SalvagingTableBlock;
import dev.shadowsoffire.apotheosis.adventure.boss.BossSpawnerBlock;
import dev.shadowsoffire.apotheosis.adventure.socket.gem.cutting.GemCuttingBlock;
import net.minecraft.world.level.block.SoundType;
import net.minecraft.world.level.block.state.BlockBehaviour;
import net.minecraftforge.registries.RegistryObject;

public class Blocks {
  public static final RegistryObject<BossSpawnerBlock> BOSS_SPAWNER = Adventure.R.block("boss_spawner", () -> new BossSpawnerBlock(BlockBehaviour.Properties.m_284310_().m_60999_().m_60913_(-1.0F, 3600000.0F).m_222994_()));
  
  public static final RegistryObject<ReforgingTableBlock> SIMPLE_REFORGING_TABLE = Adventure.R.block("simple_reforging_table", () -> new ReforgingTableBlock(BlockBehaviour.Properties.m_284310_().m_60999_().m_60913_(2.0F, 20.0F), 2));
  
  public static final RegistryObject<ReforgingTableBlock> REFORGING_TABLE = Adventure.R.block("reforging_table", () -> new ReforgingTableBlock(BlockBehaviour.Properties.m_284310_().m_60999_().m_60913_(4.0F, 1000.0F), 4));
  
  public static final RegistryObject<SalvagingTableBlock> SALVAGING_TABLE = Adventure.R.block("salvaging_table", () -> new SalvagingTableBlock(BlockBehaviour.Properties.m_284310_().m_60918_(SoundType.f_56736_).m_60978_(2.5F)));
  
  public static final RegistryObject<GemCuttingBlock> GEM_CUTTING_TABLE = Adventure.R.block("gem_cutting_table", () -> new GemCuttingBlock(BlockBehaviour.Properties.m_284310_().m_60918_(SoundType.f_56736_).m_60978_(2.5F)));
  
  public static final RegistryObject<AugmentingTableBlock> AUGMENTING_TABLE = Adventure.R.block("augmenting_table", () -> new AugmentingTableBlock(BlockBehaviour.Properties.m_284310_().m_60999_().m_60913_(4.0F, 1000.0F)));
  
  private static void bootstrap() {}
}
